List Image Series Discovered from FPP Server(s)
post
https://EM_HOST:EM_CONSOLE_HTTPS_PORT/em/api/goldImages/actions/getFppSeries
Lists the image series present at a given FPP server or from all registered FPP servers
Request
There are no request parameters for this operation.
Supported Media Types
- application/json
Root Schema : schema
Type:
objectTarget details
Show Source
-
targetName: string
Name of the targetExample:
sales_db1 -
targetType: string
Type of the targetExample:
oracle_database
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Ok. The FPP image series is retrieved.
Root Schema : schema
Type:
objectMatch All
Show Source
-
object
GoldImageFppSeries
FPP image series Opt-In/Out details collection
Nested Schema : GoldImageFppSeries
Type:
objectFPP image series Opt-In/Out details collection
Show Source
-
items: array
items
List of items
-
optedInCount: integer
Count of Opted-In image series
-
optedOutCount: integer
Count of Opted-Out image series
-
total: integer
Count of total series
Nested Schema : items
Type:
arrayList of items
Show Source
-
Array of:
object FppSeriesOptInSummary
FPP Image Series Opt-In/Out details
Nested Schema : FppSeriesOptInSummary
Type:
objectFPP Image Series Opt-In/Out details
Show Source
-
isDiscarded: boolean
Flag indicates if the FPP series is marked as discarded
-
isMarkedForDeleted: boolean
Flag indicates if the FPP series is marked as deleted
-
isOptedIn(required): boolean
Flag indicates Opted-In status
-
seriesId(required): string
ID of the FPP series
-
seriesName: string
Name of the FPP series
-
serverName: string
FPP server cluster name
Examples
401 Response
Unauthorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
403 Response
Forbidden
Root Schema : MissingPrivErrorResponse
Type:
objectResponse sent back as an Error in case required privileges are missing
Show Source
-
missingPrivileges: array
missingPrivileges
Privileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Match All
Response sent back as an Error in case required privileges are missing
Show Source
-
object
ErrorResponse
Response sent back in the case of an Error
Nested Schema : missingPrivileges
Type:
arrayPrivileges which are missing due to that the Error is occurred. This will have privilege internal name and display name only in the Privilege object
Show Source
-
Array of:
object MissingPrivilegeSummary
It represents a Privilege which is missing on a Resource to view or manage it.
Nested Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
Nested Schema : MissingPrivilegeSummary
Type:
objectIt represents a Privilege which is missing on a Resource to view or manage it.
Show Source
-
displayName: string
Display Name of PrivilegeExample:
Manage -
name: string
Name of PrivilegeExample:
MANAGE_JOB
500 Response
Internal Server Error
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
Service Unavailable
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message